import axios from 'axios';
const baseUri = "/ambientAir/airPlaceBasicInfoDict";
const listAllUrl = baseUri + "";

// 添加
const savePlace = function (data) {
    return axios.post("/ambientAir/airPlaceBasicInfoDict",data)
}

// 删除
const removePlace = function (id) {
    return axios.delete(`/ambientAir/airPlaceBasicInfoDict/${id}`,)
}
// 批量删除
const removeBatchPlace = function (ids) {
    return axios.delete("/ambientAir/airPlaceBasicInfoDict/batch",{data:ids})
}

// 修改
const updatePlace = function (data) {
    return axios.put("/ambientAir/airPlaceBasicInfoDict",data)
}

const copyBatchPlace = function (data){
    return axios.post("/ambientAir/airPlaceBasicInfoDict/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/ambientAir/airPlaceBasicInfoDict/options",{params:{column}})
}
export {
    listAllUrl,
    savePlace,
    updatePlace,
    removeBatchPlace,
    removePlace,
    copyBatchPlace,
    getColumnOptions

}
